[package]
name = "board"
version = "0.1.0"
edition = "2021"


[features]
ethernet = ["stm32-eth"]
sysclock = []
linker-memory = []
no-bern-x = []
log-global = ["log"]

[dependencies]
cortex-m = "0.7"
cortex-m-rt = "0.7"
embedded-hal = "0.2.7"
embedded-time = "0.12"
stm32-fmc = "0.2.4"
nb = "1.0.0"
fugit = "0.3"


[dependencies.stm32f7xx-hal]
features = ["stm32f769", "rt"]
version = "0.7.0"
git = "https://github.com/stm32-rs/stm32f7xx-hal.git"

[dependencies.stm32-eth]
version = "0.2"
features = ["stm32f769", "smi", "smoltcp-phy"]
path = "../patch/stm32-eth"
optional = true

[dependencies.smoltcp]
version = "0.8"
optional = true
default-features = false
features = ["socket-tcp", "proto-ipv4", "proto-ipv6", "medium-ethernet"]

[dependencies.log]
version = "0.4"
optional = true

[[example]]
name = "telegraf"
required-features = ["ethernet", "sysclock", "linker-memory", "smoltcp", "log-global"]

[dev-dependencies]
cortex-m = "0.7.4"
cortex-m-rt = "0.7.1"
rtt-target = { version = "0.3.1", features = ["cortex-m"] }
panic-rtt-target = { version = "0.1.2", features = ["cortex-m"] }
embedded-graphics = "0.6.2"
ui = { path = "../ui" }

[profile.dev.package."*"]
codegen-units = 1 # better optimizations
opt-level = "s"
